[systemd-commits] src/kernel-install
Harald Hoyer
harald at kemper.freedesktop.org
Thu Jun 20 06:47:24 PDT 2013
src/kernel-install/90-loaderentry.install | 11 +++++++++--
1 file changed, 9 insertions(+), 2 deletions(-)
New commits:
commit 6c10d3997019c4f09dad5650209b49c5ccd11551
Author: Harald Hoyer <harald at redhat.com>
Date: Thu Jun 20 15:46:37 2013 +0200
kernel-install: filter out "initrd=" from /proc/cmdline
diff --git a/src/kernel-install/90-loaderentry.install b/src/kernel-install/90-loaderentry.install
index 55b4d24..6fbb149 100644
--- a/src/kernel-install/90-loaderentry.install
+++ b/src/kernel-install/90-loaderentry.install
@@ -38,15 +38,22 @@ if ! [[ $PRETTY_NAME ]]; then
PRETTY_NAME="Linux $KERNEL_VERSION"
fi
+declare -a BOOT_OPTIONS
+
if [[ -f /etc/kernel/cmdline ]]; then
readarray -t BOOT_OPTIONS < /etc/kernel/cmdline
fi
if ! [[ ${BOOT_OPTIONS[*]} ]]; then
- readarray -t BOOT_OPTIONS < /proc/cmdline
+ readarray -t line < /proc/cmdline
+ for i in ${line[*]}; do
+ if [[ "${i#initrd=*}" == "$i" ]]; then
+ BOOT_OPTIONS[${#BOOT_OPTIONS[@]}]="$i"
+ fi
+ done
fi
-if ! [[ $BOOT_OPTIONS ]]; then
+if ! [[ ${BOOT_OPTIONS[*]} ]]; then
echo "Could not determine the kernel command line parameters." >&2
echo "Please specify the kernel command line in /etc/kernel/cmdline!" >&2
exit 1
More information about the systemd-commits
mailing list